Error
A valid request URL is required to generate request examples{
"results": {
"hasCredentialError": true,
"projectSubPath": "<string>",
"branch": "<string>",
"repository": "<string>",
"type": "dbt",
"precedence": 123,
"isPrimary": true,
"name": "<string>",
"projectDbtSourceUuid": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Projects
Add dbt source
Add an additional dbt source to a project.
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
dbt-sources
Error
A valid request URL is required to generate request examples{
"results": {
"hasCredentialError": true,
"projectSubPath": "<string>",
"branch": "<string>",
"repository": "<string>",
"type": "dbt",
"precedence": 123,
"isPrimary": true,
"name": "<string>",
"projectDbtSourceUuid": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Body
application/json
Response
Created
Non-sensitive view of a dbt source for API responses — never includes the
decrypted connection (which holds credentials). The primary source is
synthesised from the project's own dbt_connection. repository, branch and
projectSubPath are the git-backed source's identity (null for non-git
connections); they are safe to expose — only secrets are stripped.
hasCredentialError is always false for the synthesised primary source.
See ProjectDbtSource for what it means on an additional source.
Show child attributes
Show child attributes
Available options:
ok Was this page helpful?